{ config, lib, pkgs, user, ... }:

{
  wayland.windowManager.sway.config = {
    output = {
      DP-2 = {
        scale = "1.5";
        position = "0 526";
      };
      DP-3 = {
        scale = "1.5";
        position = "2560 0";
        transform = "90";
      };
    };

    workspaceOutputAssign = [
      { workspace = "0"; output = "DP-2"; }
      { workspace = "1"; output = "DP-3"; }
      { workspace = "2"; output = "DP-2"; }
      { workspace = "3"; output = "DP-3"; }
      { workspace = "4"; output = "DP-2"; }
      { workspace = "5"; output = "DP-3"; }
      { workspace = "6"; output = "DP-2"; }
      { workspace = "7"; output = "DP-3"; }
      { workspace = "8"; output = "DP-2"; }
      { workspace = "9"; output = "DP-3"; }
    ];
  };
}
